# AdSense Management API . accounts . payments

## Instance Methods

List the payments for the specified AdSense account.

### Method Details

`list(accountId)`

    List the payments for the specified AdSense account.

    Args:
      accountId: string, Account for which to retrieve the payments. (required)

    Returns:
      An object of the form:

        {
        "items": [ # The list of Payments for the account. One or both of a) the account's most recent payment; and b) the account's upcoming payment.
          {
            "paymentAmountCurrencyCode": "A String", # The currency code for the amount to be paid.
            "kind": "adsense#payment", # Kind of resource this is, in this case adsense#payment.
            "paymentAmount": "A String", # The amount to be paid.
            "id": "A String", # Unique identifier of this Payment.
            "paymentDate": "A String", # The date this payment was/will be credited to the user, or none if the payment threshold has not been met.
          },
        ],
        "kind": "adsense#payments", # Kind of list this is, in this case adsense#payments.
      }